package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.DilVersionServiceImpl;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ author    :TXF
 * @ time      :2021/12/14 22:42
 */
@RestController
@RequestMapping("/appVersion")
public class DilVersionController {

    @Autowired
    DilVersionServiceImpl dilVersionService;

    @ApiOperation(value = "查询版本号")
    @PostMapping("/checkVersion/{version}")
    public int deleteTruckRailDayPlan(@PathVariable("version") String version) {
        return dilVersionService.compareAppVersion(version);
    }

    @ApiOperation(value = "新增版本号")
    @PostMapping("/addAppVersion/{version}")
    public String addAppVersion(@PathVariable("version") String version) {
        return dilVersionService.addAppVersion(version);
    }
}
