package com.steerinfo.dil.controller;
import com.steerinfo.dil.feign.RmsFeign;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@RestController
@RequestMapping("${api.version}/rms")
public class RMScontroller {
    @Autowired
    RmsFeign rmsFeign;

    /**
     * @author huk
     * @return
     */
    //查询所有作业环节
    @ApiOperation(value="查询所有作业环节")
    @PostMapping("/getLink")
    public Map<String, Object> getlink(){
        return  rmsFeign.getlink();
    }

    /**
     * @author huk
     * @return
     */
    //新增运输路线
    @ApiOperation(value="新增运输路线")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输路线", required = false, dataType = "Map"),
    })
    @PostMapping("/insertSelective")
    public Map<String, Object> insertSelective(@RequestBody(required = false) Map<String,Object> mapVal){
        return rmsFeign.insertSelective(mapVal);
    }


    @ApiOperation(value="查询运输路线")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "apiId", value = "249", required = false, dataType = "Integer"),
    })
    @PostMapping(value = "/getAllLineDesk")
    public Map<String, Object> getAllLineDesk(@RequestBody(required = false) Map<String,Object> mapValue,
                                        Integer pageNum,
                                        Integer pageSize,
                                        Integer apiId,
                                        Integer lineType,
                                        String con){
        return rmsFeign.getAllLineDesk(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId, lineType, con);
    }

    @ApiOperation(value = "根据主键查询出数据以供修改")
    @PostMapping("/getLinkToUpdate")
    public Map<String, Object> getLinkToUpdate(@RequestParam Integer lineId) {
        return rmsFeign.getLinkToUpdate(lineId);
    }

    @ApiOperation(value = "根据运输线路主表ID修改数据")
    @PostMapping("/updateByPrimaryKeySelective")
    public Map<String, Object> updateByPrimaryKeySelective(@RequestBody(required = false) Map<String,Object> mapVal) {
        return rmsFeign.updateByPrimaryKeySelective(mapVal);
    }

    @ApiOperation(value = "根据运输线路主表ID修改数据,为逻辑删除")
    @PostMapping("/updateRmsLine")
    Map<String, Object> updateRmsLine(@RequestBody(required = false) Map<String,Object> mapVal){
        return  rmsFeign.updateRmsLine(mapVal);
    }

    @ApiOperation(value = "根据运输路线的主表id查询运输订单是否相关联")
    @PostMapping("/getCountNumber")
    public Map<String, Object> getCountNumber(@RequestParam Integer lineId) {
        return rmsFeign.getCountNumber(lineId);
    }

    //查询所有作业环节
    @ApiOperation(value="新增作业环节")
    @PostMapping("/LinkInsertSelective")
    public Map<String,Object> LinkInsertSelective(@RequestBody(required = false) Map<String,Object> mapValue){
        return rmsFeign.LinkInsertSelective(mapValue);
    }

    //********************************************************************************************************

    @ApiOperation(value="创建", notes="根据RmsCarDriver对象创建")
    @ApiImplicitParam(name = "rmsCarDriver", value = "详细实体rmsCarDriver", required = true, dataType = "RmsCarDriver")
    @PostMapping(value = "/insertCarDriver")
    public Map<String, Object> insertCarDriver(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertCarDriver(map);
    }

    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的rmsCarDriver信息来更新详细信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "rmsCarDriver", value = "详细实体rmsCarDriver", required = true, dataType = "RmsCarDriver")
    })
    @PostMapping(value = "/updateCarDriver", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateCarDriver(@RequestBody Map<String, Object> map){
        return rmsFeign.updateCarDriver(map);
    }

    @ApiOperation(value="删除司机信息", notes="根据url的id来指定更新对象，并根据传过来的rmsCarDriver信息删除司机信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "rmsCarDriver", value = "详细实体rmsCarDriver", required = true, dataType = "RmsCarDriver")
    })
    @PostMapping(value = "/deleteCarDriver/{id}")
    Map<String, Object> deleteCarDriver(@PathVariable("id") BigDecimal id) {
        return rmsFeign.deleteCarDriver(id);
    }

    @ApiOperation(value="获取司机详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getCarDriverById/{id}")
    public Map<String, Object> getCarDriverById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getCarDriverById(id);
    }
    @PostMapping("/getCarDriverList")
    @ApiOperation(value = "模糊查询司机")
    public Map<String, Object> getCarDriverList(@RequestBody(required = false) Map<String, Object> mapValue,
                                                Integer pageNum,
                                                Integer pageSize,
                                                Integer apiId,
                                                String con) {

        return rmsFeign.getCarDriverList(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId,con);
    }

    //获取承运商列表
    @ApiOperation(value="获取承运商列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })

    @PostMapping("/getCarrierList")
    public Map<String, Object> getCarrierList(@RequestBody(required=false) Map<String,Object> mapValue,
                                              Integer apiId,
                                              Integer pageNum,
                                              Integer pageSize,
                                              String con
    ){
        if (mapValue==null){
            mapValue=new HashMap<>();
        }
        return   rmsFeign.getCarrierList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }
    @ApiOperation(value="新建承运商", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "rmsCarrier", value = "详细实体rmsCarrier", required = true, dataType = "rmsCarrier")
    @PostMapping(value = "/insertCarrier")
    public Map<String, Object> insertCarrier(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertCarrier(map);
    }
    @ApiOperation(value="删除", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "rmsCarrier", value = "详细实体rmsCarrier", required = true, dataType = "rmsCarrier")
    @PostMapping(value = "/deleteCarrier/{id}")
    public Map<String, Object> deleteCarrier(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteCarrier(id);
    }

    @ApiOperation(value="更新承运商", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "rmsCarrier", value = "详细实体rmsCarrier", required = true, dataType = "rmsCarrier")
    @PostMapping(value = "/updateCarrier")
    public Map<String, Object> updateCarrier(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.updateCarrier(map);
    }
    @ApiOperation(value="根据id查询详细承运商信息", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "rmsCarrier", value = "详细实体rmsCarrier", required = true, dataType = "rmsCarrier")
    @PostMapping(value = "/getCarrierById/{id}")
    public Map<String, Object> getCarrierById(@PathVariable("id")BigDecimal id){
        return rmsFeign.getCarrierById(id);
    }
//    获取中标区域
    @ApiOperation(value="展示中标区域信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "406", required = false, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "id", value = "中标id", required = false, dataType = "BigDecimal"),
    })
    @PostMapping("/getCarrierBidAreaList")
    public Map<String, Object> getCarrierBidAreaList(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               String con
    ){
        return   rmsFeign.getCarrierBidAreaList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }

    //获取物资列表
    @ApiOperation(value="获取物资列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })
    @PostMapping("/getMaterialList")
    public Map<String, Object> getMaterialList(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               String con
    ){
        return   rmsFeign.getMaterialList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }



    @ApiOperation(value="新增物资", notes="根据rmsMaterial对象创建")
    @ApiImplicitParam(name = "rmsMaterial", value = "详细实体rmsMaterial", required = true, dataType = "rmsMaterial")
    @PostMapping(value = "/insertMaterial")
    public Map<String, Object> insertMaterial(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertMaterial(map);
    }
    @ApiOperation(value="删除", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "rmsMaterial", value = "详细实体rmsMaterial", required = true, dataType = "rmsMaterial")
    @PostMapping(value = "/deleteMaterial/{id}")
    public Map<String, Object> deleteMaterial(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteMaterial(id);
    }

    @ApiOperation(value="更新物资", notes="根据rmsMaterial对象创建")
    @ApiImplicitParam(name = "rmsMaterial", value = "详细实体rmsMaterial", required = true, dataType = "rmsMaterial")
    @PostMapping(value = "/updateMaterial")
    public Map<String, Object> updateMaterial(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.updateMaterial(map);
    }
    @ApiOperation(value="根据id查询原料信息", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "rmsMaterial", value = "详细实体rmsMaterial", required = true, dataType = "rmsMaterial")
    @PostMapping(value = "/getMaterialById/{id}")
    public Map<String, Object> getMaterialById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getMaterialById(id);
    }

    @ApiOperation(value="获取人员信息列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })

    @PostMapping("/getPersonnelList")
    public Map<String, Object> getPersonnelList(@RequestBody(required = false) Map<String,Object> mapVal,
                                                Integer apiId,
                                                Integer pageNum,
                                                Integer pageSize,
                                                String con
    ){

        return   rmsFeign.getPersonnelList(mapVal==null?new HashMap<>():mapVal, apiId, pageNum, pageSize,con);
    }
    @ApiOperation(value="新增人员信息", notes="根据rmsMaterial对象创建")
    @ApiImplicitParam(name = "rmsPersonnel", value = "详细实体rmsPersonnel", required = true, dataType = "rmsPersonnel")
    @PostMapping(value = "/insertPersonnel")
    public Map<String, Object> insertPersonnel(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertPersonnel(map);
    }
    @ApiOperation(value="删除", notes="根据rmsPersonnel对象创建")
    @ApiImplicitParam(name = "rmsMaterial", value = "详细实体rmsPersonnel", required = true, dataType = "rmsPersonnel")
    @PostMapping(value = "/deletePersonnel/{id}")
    public Map<String, Object> deletePersonnel(@PathVariable("id")BigDecimal id){
        return rmsFeign.deletePersonnel(id);
    }

    @ApiOperation(value="更新人员信息", notes="根据rmsMaterial对象创建")
    @ApiImplicitParam(name = "rmsPersonnel", value = "详细实体rmsPersonnel", required = true, dataType = "rmsPersonnel")
    @PostMapping(value = "/updatePersonnel")
    public Map<String, Object> updatePersonnel(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.updatePersonnel(map);
    }
    @ApiOperation(value="根据id更新详细人员信息", notes="根据rmsPersonnel对象创建")
    @ApiImplicitParam(name = "rmsPersonnel", value = "详细实体rmsPersonnel", required = true, dataType = "rmsPersonnel")
    @PostMapping(value = "/getPersonnelById/{personnelId}")
    public Map<String, Object> getPersonnelById(@PathVariable("personnelId")BigDecimal personnelId){
        return rmsFeign.getPersonnelById(personnelId);
    }

    @ApiOperation(value="获取托运人列表")

    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })

    @PostMapping("/getShipperList")
    public Map<String, Object> getShipperList(@RequestBody(required=false) Map<String,Object> mapValue,
                                              Integer apiId,
                                              Integer pageNum,
                                              Integer pageSize,
                                              String con
    ){
        return   rmsFeign.getShipperList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }

    @ApiOperation(value="新增托运人信息", notes="根据rmsShipper对象创建")
    @ApiImplicitParam(name = "rmsShipper", value = "详细实体rmsShipper", required = true, dataType = "rmsShipper")
    @PostMapping(value = "/insertShipper")
    public Map<String, Object> insertShipper(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertShipper(map);
    }


    @ApiImplicitParam(name = "托运人id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteShipper/{id}")
    public Map<String, Object> deleteShipper(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteShipper(id);
    }

    @ApiOperation(value="更新托运人信息", notes="根据rmsShipper对象创建")
    @ApiImplicitParam(name = "rmsShipper", value = "详细实体rmsShipper", required = true, dataType = "rmsShipper")
    @PostMapping(value = "/updateShipper")
    public Map<String, Object> updateShipper(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.updateShipper(map);
    }
    @ApiOperation(value="根据id查询详细托运人信息", notes="根据rmsShipper对象创建")
    @ApiImplicitParam(name = "托运人id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/getShipperById/{id}")
    public Map<String, Object> getShipperById(@PathVariable("id")BigDecimal id){
        return rmsFeign.getShipperById(id);
    }
//    获取供应商列表

    @ApiOperation(value="展示供应商信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })

    @PostMapping("/getSupplierList")
    public Map<String, Object> getSupplierList(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               String con
    ){
        return   rmsFeign.getSupplierList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }
    @ApiOperation(value="新增供应商信息", notes="根据rmsSupplier对象创建")
    @ApiImplicitParam(name = "rmsSupplier", value = "详细实体rmsSupplier", required = true, dataType = "rmsSupplier")
    @PostMapping(value = "/insertSupplier")
    public Map<String, Object> insertSupplier(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertSupplier(map);
    }
    @ApiOperation(value="删除", notes="根据rmsSupplier对象创建")
    @ApiImplicitParam(name = "承运商id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteSupplier/{id}")
    public Map<String, Object> deleteSupplier(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteSupplier(id);
    }

    @ApiOperation(value="更新供应商信息", notes="根据rmsSupplier对象创建")
    @ApiImplicitParam(name = "rmsSupplier", value = "详细实体rmsSupplier", required = true, dataType = "rmsSupplier")
    @PostMapping(value = "/updateSupplier")
    public Map<String, Object> updateSupplier(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.updateSupplier(map);
    }
    @ApiOperation(value="根据id查询供应商信息", notes="根据rmsSupplier对象创建")
    @ApiImplicitParam(name = "承运商id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/getSupplierById/{id}")
    public Map<String, Object> getSupplierById(@PathVariable("id")BigDecimal id){
        return rmsFeign.getSupplierById(id);
    }
//    展示运力信息

    @ApiOperation(value="新增运力信息", notes="根据rmsCapacity对象创建")
    @ApiImplicitParam(name = "rmsCapacity", value = "详细实体rmsCapacity", required = true, dataType = "rmsCapacity")
    @PostMapping(value = "/insertCapacity")
    public Map<String, Object> insertCapacity(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertCapacity(map);
    }
    @ApiOperation(value="删除", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "运力id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteCapacity/{id}")
    public Map<String, Object> deleteCapacity(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteCapacity(id);
    }

    @ApiOperation(value="获取运力详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getCapacityById/{id}")
    public Map<String,Object> getCapacityById(@PathVariable("id")BigDecimal id){
        return rmsFeign.getCapacityById(id);
    }
    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的rmsCapacity信息来更新详细信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "Short"),
            @ApiImplicitParam(name = "rmsCapacity", value = "详细实体rmsCapacity", required = true, dataType = "RmsCapacity")
    })
    @PostMapping(value = "/updateCapacity", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateCapacity( @RequestBody Map<String, Object> map){

        return rmsFeign.updateCapacity(map);
    }
    @PostMapping("/getCapacityList")
    @ApiOperation(value = "模糊查询运力")
    public Map<String, Object> getCapacityList(@RequestBody(required = false) Map<String, Object> mapValue,
                                               Integer pageNum,
                                               Integer pageSize,
                                               Integer apiId,
                                               String con) {

        return rmsFeign.getCapacityList(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId,con);
    }

    @ApiOperation(value="新增汽车衡信息", notes="根据rmsCapacity对象创建")
    @ApiImplicitParam(name = "rmsTruckCalculate", value = "详细实体rmsTruckCalculate", required = true, dataType = "rmsTruckCalculate")
    @PostMapping(value = "/insertTruckCalculate")
    public Map<String, Object> insertTruckCalculate(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertTruckCalculate(map);
    }
    @ApiOperation(value="删除", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "汽车衡id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteTruckCalculate/{id}")
    public Map<String, Object> deleteTruckCalculate(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteTruckCalculate(id);
    }
    @ApiOperation(value="删除", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "汽车衡物资中间表id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteTruckCalculateMaterial/{id}")
    public Map<String, Object> deleteTruckCalculateMaterial(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteTruckCalculateMaterial(id);
    }
    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的rmsCarDriver信息来更新详细信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "rmsTruckCalculate", value = "详细实体rmsTruckCalculate", required = true, dataType = "RmsTruckCalculate")
    })
    @PostMapping(value = "/updateTruckCalculate", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateTruckCalculate(@RequestBody Map<String, Object> map){
        return rmsFeign.updateTruckCalculate(map);
    }

    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getTruckCalculateById/{id}")
    public Map<String,Object> getTruckCalculateById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getTruckCalculateById(id);
    }
    @PostMapping("/getCalculateOfMaterialList")
    @ApiOperation(value="根据id查询汽车横下的物资表")
    public Map<String,Object> getCalculateOfMaterialList(@RequestBody(required = false)Map<String, Object> mapValue,
                                                         Integer pageNum,
                                                         Integer pageSize,
                                                         Integer apiId,
                                                         BigDecimal truckCalculateId){
        return rmsFeign.getCalculateOfMaterialList(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId,truckCalculateId);
    }

    @PostMapping("/getTruckCalculateList")
    @ApiOperation(value = "模糊查询汽车衡")
    public Map<String, Object> getTruckCalculateList(@RequestBody(required = false) Map<String, Object> mapValue,
                                                     Integer pageNum,
                                                     Integer pageSize,
                                                     Integer apiId,
                                                     String con) {

        return rmsFeign.getTruckCalculateList(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId,con);
    }
    @ApiOperation(value="新增汽车衡下的物资", notes="根据rmsWarehouse对象创建")
    @ApiImplicitParam(name = "rmsTruckCalculateMaterial", value = "详细实体rmsTruckCalculateMaterial", required = true, dataType = "rmsTruckCalculateMaterial")
    @PostMapping(value = "/insertTruckCalculateOfMaterial")
    public Map<String, Object> insertTruckCalculateOfMaterial(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertTruckCalculateOfMaterial(map);
    }
    @ApiOperation(value="删除", notes="根据rmsCarrier对象创建")
    @ApiImplicitParam(name = "仓库id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteWarehouse/{id}")
    public Map<String, Object> deleteWarehouse(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteWarehouse(id);
    }

    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的rmsCarDriver信息来更新详细信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "rmsWarehouse", value = "详细实体rmsWarehouse", required = true, dataType = "RmsWarehouse")
    })
    @PostMapping(value = "/updateWarehouse", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateWarehouse( @RequestBody Map<String, Object> map){
        return rmsFeign.updateWarehouse(map);
    }
    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getWarehouseById/{id}")
    public Map<String, Object> getWarehouseById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getWarehouseById(id);
    }

    @PostMapping("/getWarehouseList")
    @ApiOperation(value = "模糊查询原料仓库")
    public Map<String, Object> getWarehouseList(@RequestBody(required = false) Map<String, Object> mapValue,
                                                Integer pageNum,
                                                Integer pageSize,
                                                Integer apiId,
                                                String con) {

        return rmsFeign.getWarehouseList(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId,con);
    }
    @ApiOperation(value="展示司机排班信息", notes="分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "196", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getDriverCapacityList")
    public Map<String, Object> getDriverCapacityList(@RequestBody(required = false) Map<String,Object> mapValue,
                                                     Integer pageNum,
                                                     Integer pageSize,
                                                     Integer apiId){
        return rmsFeign.getDriverCapacityList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize);
    }

    @ApiOperation(value="创建", notes="根据RmsDriverCapacity对象创建")
    @ApiImplicitParam(name = "rmsDriverCapacity", value = "详细实体rmsDriverCapacity", required = true, dataType = "RmsDriverCapacity")
    @PostMapping(value = "/insertDriverCapacity")
    public Map<String, Object> insertDriverCapacity(@RequestBody(required = false) Map<String, Object> map ){
        return rmsFeign.insertDriverCapacity(map);
    }


    @ApiOperation(value="展示门岗信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })

    @PostMapping("/getGatepostList")
    public Map<String, Object> getGatepostList(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               String con
    ){
        return   rmsFeign.getGatepostList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }
    @ApiOperation(value="新增门岗信息", notes="根据rmsGatepost对象创建")
    @ApiImplicitParam(name = "rmsGatepost", value = "详细实体rmsGatepost", required = true, dataType = "rmsGatepost")
    @PostMapping(value = "/insertGatepost")
    public Map<String, Object> insertGatepost(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertGatepost(map);
    }
    @ApiOperation(value="删除", notes="根据rmsGatepost对象创建")
    @ApiImplicitParam(name = "门岗id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteGatepost/{id}")
    public Map<String, Object> deleteGatepost(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteGatepost(id);
    }

    @ApiOperation(value="更新门岗信息", notes="根据rmsGatepost对象创建")
    @ApiImplicitParam(name = "rmsGatepost", value = "详细实体rmsGatepost", required = true, dataType = "rmsGatepost")
    @PostMapping(value = "/updateGatepost")
    public Map<String, Object> updateGatepost(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.updateGatepost(map);
    }
    @ApiOperation(value="根据id查询门岗信息", notes="根据rmsGatepost对象创建")
    @ApiImplicitParam(name = "门岗id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/getGatepostById/{id}")
    public Map<String, Object> getGatepostById(@PathVariable("id")BigDecimal id){
        return rmsFeign.getGatepostById(id);
    }
    @ApiOperation(value="根据id查询门岗规则信息", notes="根据rmsGatepost对象创建")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "门岗id", value = "id", required = true, dataType = "int")
    })
    @PostMapping(value = "/getGatepostRulesById/{id}")
    public Map<String, Object> getGatepostRulesById(@PathVariable("id")BigDecimal id,
                                                    Integer apiId){
        return rmsFeign.getGatepostRulesById(id,apiId);
    }
    @ApiOperation(value="展示门岗规则信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })

    @PostMapping("/getGatepostRulesList")
    public Map<String, Object> getGatepostRulesList(@RequestBody(required=false) Map<String,Object> mapValue,
                                                    Integer apiId,
                                                    Integer pageNum,
                                                    Integer pageSize,
                                                    String con
    ){
        return   rmsFeign.getGatepostRulesList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize,con);
    }

    @ApiOperation(value="删除", notes="根据rulesId删除")
    @ApiImplicitParam(name = "门岗规则id", value = "rulesId", required = true, dataType = "int")
    @PostMapping(value = "/deleteGatepostRules/{rulesId}")
    public Map<String, Object> deleteGatepostRules(@PathVariable("rulesId") BigDecimal rulesId) {
        return rmsFeign.deleteGatepostRules(rulesId);
    }
    @ApiOperation(value="新增门岗规则")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "门岗规则", required = false, dataType = "Map"),
    })
    @PostMapping("/insertGatepostRule")
    public Map<String, Object> insertGatepostRule(@RequestBody(required = false) Map<String,Object> mapValue){
        return rmsFeign.insertGatepostRule(mapValue);
    }
    @ApiOperation(value="获取门岗名")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "门岗id", value = "gatepostId", required = true, dataType = "int")
    })
    @PostMapping("/getGatepostName/{gatepostId}")
    public Map<String, Object> getGatepostName(@PathVariable("gatepostId") BigDecimal gatepostId){
        return rmsFeign.getGatepostName(gatepostId);
    }

    @PostMapping("/getMaterialTypeList")
    @ApiOperation(value = "框计算物资种类")
    public Map<String, Object> getMaterialTypeList(@RequestBody(required = false) Map<String, Object> mapValue,
                                                   Integer pageNum,
                                                   Integer pageSize,
                                                   Integer apiId,
                                                   String con) {

        return rmsFeign.getMaterialTypeList(mapValue==null?new HashMap<>():mapValue, pageNum, pageSize, apiId,con);
    }
    //*******************************下拉框************************
    @GetMapping("getCapacityTypeId")
    @ApiOperation(value = "得到下拉运力id")
    public Map<String, Object> getCapacityTypeId() {
        return rmsFeign.getCapacityTypeId();
    }

    @GetMapping(value = "getWarehouseTypeId")
    @ApiOperation(value = "获取原料仓库类型下拉id")
    public Map<String, Object> getWarehouseTypeId(){
        return rmsFeign.getWarehouseTypeId();
    }

    @GetMapping(value = "getPortId")
    @ApiOperation(value = "获取港存库所属港口下拉id")
    public Map<String, Object> getPortId(){
        return rmsFeign.getPortId();
    }

    @GetMapping(value="getCarrierId")
    @ApiOperation(value = "获取承运商下拉id")
    public Map<String,Object> getCarrierId(){
        return rmsFeign.getCarrierId();
    }

    @GetMapping("getMaterialTypeId")
    @ApiOperation(value = "得到下拉物资类型id")
    public Map<String, Object> getMaterialTypeId() {
        return rmsFeign.getMaterialTypeId();
    }

    @GetMapping("getUnitOfMeasureId")
    @ApiOperation(value = "得到下拉计量id")
    public Map<String, Object> getUnitOfMeasureId() {
        return rmsFeign.getUnitOfMeasureId();
    }

    @GetMapping("getShipperId")
    @ApiOperation(value = "得到下拉托运人id")
    public Map<String, Object> getShipperId() {
        return rmsFeign.getShipperId();
    }

    @GetMapping("getGatepostRulesId")
    @ApiOperation(value = "得到下拉门岗规则id")
    public Map<String, Object> getGatepostRulesId() {
        return rmsFeign.getGatepostRulesId();
    }

    @GetMapping("getTransportTypeId")
    @ApiOperation(value = "运输类型下拉")
    public Map<String,Object> getTransportTypeId(){
        return rmsFeign.getTransportTypeId();
    }

    @GetMapping("/getVehicleTypeId")
    @ApiOperation(value = "得到下拉车辆类型id")
    public Map<String, Object> getVehicleTypeId() {
        return rmsFeign.getVehicleTypeId();
    }
    //通知
    @ApiOperation(value = "获取公告信息", notes = "分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })
    @PostMapping(value = "/getNoticeList")
    public Map<String, Object> getNoticeList(@RequestBody(required = false) Map<String, Object> mapValue,
                                             Integer apiId,
                                             Integer pageNum,
                                             Integer pageSize,
                                             String con
    ) {
        if (mapValue == null) {
            mapValue = new HashMap<>();
        }
        return rmsFeign.getNoticeList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize, con);
    }

    @ApiOperation(value="新增公告信息", notes="根据DilNotice对象创建")
    @ApiImplicitParam(name = "dilNotice", value = "详细实体dilNotice", required = true, dataType = "DilNotice")
    @PostMapping(value = "/insertNotice")
    public Map<String, Object> insertNotice(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.insertNotice(map);
    }

    @ApiOperation(value = "更新公告信息", notes = "根据dilNotice对象创建")
    @ApiImplicitParam(name = "dilNotice", value = "详细实体dilNotice", required = true, dataType = "dilNotice")
    @PostMapping(value = "/updateNotice", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateNotice(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.updateNotice(map);
    }

    @ApiOperation(value="删除", notes="根据url的id来指定删除对象")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/deleteNotice/{id}")//BigDecimal
    public Map<String, Object> deleteNotice(@PathVariable("id") BigDecimal id) {
        return rmsFeign.deleteNotice(id);
    }


    //港口
    @ApiOperation(value = "获取港口", notes = "分页查询")
    @PostMapping(value = "/getPort")
    public Map<String, Object> getPortList(@RequestBody(required = false) Map<String, Object> mapVal,
                                             Integer apiId,
                                             Integer pageNum,
                                             Integer pageSize,
                                             String con
    ) {
        if (mapVal == null) {
            mapVal = new HashMap<>();
        }
        return rmsFeign.getPortList(mapVal == null ? new HashMap<>() : mapVal, apiId, pageNum, pageSize, con);
    }

    //码头
    @ApiOperation(value = "获取码头", notes = "分页查询")
    @PostMapping(value = "/getPier")
    public Map<String, Object> getPierList(@RequestBody(required = false) Map<String, Object> mapVal,
                                           Integer apiId,
                                           Integer pageNum,
                                           Integer pageSize,
                                           String con
    ) {
        if (mapVal == null) {
            mapVal = new HashMap<>();
        }
        return rmsFeign.getPierList(mapVal == null ? new HashMap<>() : mapVal, apiId, pageNum, pageSize, con);
    }

    @ApiOperation(value = "获取港存堆场", notes = "分页查询")
    @PostMapping(value = "/getYardList")
    public Map<String, Object> getPortYardList(@RequestBody(required = false) Map<String, Object> mapVal,
                                           Integer apiId,
                                           Integer pageNum,
                                           Integer pageSize,
                                           String con
    ) {
        if (mapVal == null) {
            mapVal = new HashMap<>();
        }
        return rmsFeign.getPortYardList(mapVal == null ? new HashMap<>() : mapVal, apiId, pageNum, pageSize, con);
    }


    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "公告id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getNoticeById/{id}")
    public Map<String, Object> getNoticeById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getNoticeById(id);
    }

    //油价
    @ApiOperation(value = "获取油价信息", notes = "分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })


    @PostMapping(value = "/getOilPriceResultList")
    public Map<String, Object> getOilPriceResultList(@RequestBody(required = false) Map<String, Object> mapValue,
                                             Integer apiId,
                                             Integer pageNum,
                                             Integer pageSize,
                                             String con
    ) {
        if (mapValue == null) {
            mapValue = new HashMap<>();
        }
        return rmsFeign.getOilPriceResultList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize, con);
    }

    @ApiOperation(value="新增油价信息", notes="根据DilNotice对象创建")
    @ApiImplicitParam(name = "addOilPrice", value = "详细实体dilNotice", required = true, dataType = "DilNotice")
    @PostMapping(value = "/insertOilPrice")
    public Map<String, Object> insertOilPrice(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.insertOilPrice(map);
    }

    @ApiOperation(value = "更新公告信息", notes = "根据dilNotice对象创建")
    @ApiImplicitParam(name = "dilNotice", value = "详细实体dilNotice", required = true, dataType = "dilNotice")
    @PostMapping(value = "/updateOilPrice", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateOilPrice(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.updateOilPrice(map);
    }

    @ApiOperation(value="删除", notes="根据url的id来指定删除对象")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/deleteOilPrice/{id}")//BigDecimal
    public Map<String, Object> deleteOilPrice(@PathVariable("id") BigDecimal id) {
        return rmsFeign.deleteOilPrice(id);
    }

    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "公告id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getOilPriceById/{id}")
    public Map<String, Object> getOilPriceById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getOilPriceById(id);
    }





//*******************************下拉框************************

    @GetMapping("getNoticeTypeId")
    @ApiOperation(value = "得到公告类型Id")
    public Map<String,Object> getNoticeTypeId(){
        return rmsFeign.getNoticeTypeId();
    }



    @GetMapping("getPortType")
    @ApiOperation(value = "得到港口类型Id")
    public Map<String,Object> getPortType(){
        return rmsFeign.getPortType();
    }

    @ApiOperation(value="新增原料仓库信息", notes="根据rmsWarehouse对象创建")
    @ApiImplicitParam(name = "rmsWarehouse", value = "详细实体rmsWarehouse", required = true, dataType = "rmsWarehouse")
    @PostMapping(value = "/insertWarehouse")
    public Map<String, Object> insertWarehouse(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.insertWarehouse(map);
    }



    //展示收货客户信息
    @ApiOperation(value = "获取收货客户信息", notes = "分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId()", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })
    @PostMapping(value = "/getConsigneeList")
    public Map<String, Object> getConsigneeList(@RequestBody(required = false) Map<String, Object> mapValue,
                                                     Integer apiId,
                                                     Integer pageNum,
                                                     Integer pageSize,
                                                     String con
    ) {

        return rmsFeign.getConsigneeList(mapValue == null ? new HashMap<>() : mapValue, apiId, pageNum, pageSize, con);
    }

    @ApiOperation(value="新增收货客户信息", notes="根据rmsConsignee对象创建")
    @ApiImplicitParam(name = "rmsConsignee", value = "详细实体rmsConsignee", required = true, dataType = "rmsConsignee")
    @PostMapping(value = "/insertConsignee")
    public Map<String, Object> insertConsignee(@RequestBody(required = false) Map<String, Object> map){
        return rmsFeign.insertConsignee(map);
    }
    @ApiOperation(value="删除", notes="根据rmsConsignee对象创建")
    @ApiImplicitParam(name = "收货客户信息id", value = "id", required = true, dataType = "int")
    @PostMapping(value = "/deleteConsignee/{id}")
    public Map<String, Object> deleteConsignee(@PathVariable("id")BigDecimal id){
        return rmsFeign.deleteConsignee(id);
    }

    @ApiOperation(value="获取运力信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getConsigneeById/{id}")
    public Map<String,Object> getConsigneeById(@PathVariable("id")BigDecimal id){
        return rmsFeign.getConsigneeById(id);
    }
    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的rmsCapacity信息来更新详细信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "Short"),
            @ApiImplicitParam(name = "rmsConsignee", value = "详细实体rmsConsignee", required = true, dataType = "RmsConsignee")
    })
    @PostMapping(value = "/updateConsignee", produces  = "application/json;charset=UTF-8")
    public Map<String, Object> updateConsignee( @RequestBody Map<String, Object> map){

        return rmsFeign.updateConsignee(map);
    }

    /*
     *边写边搜索承运商
     * */
    @ApiOperation(value="根据用户输入输出承运商", notes="模糊查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "con",value = "用户输入的承运商名", required = false, dataType = "String")
    })
    @PostMapping("/getCarrierName")
    public Map<String,Object> getCarrierName(@RequestParam(value ="state") String state){
        return  rmsFeign.getCarrierName(state);

    }



    //港口
    @PostMapping("/insertPort")
    public Map<String, Object> insertPort(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.insertPort(map);
    }

    //
    @PostMapping("/insertPier")
    public Map<String, Object> insertPier(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.insertPier(map);
    }

    //港口
    @PostMapping("/insertPortYard")
    public Map<String, Object> insertPortYard(@RequestBody(required = false) Map<String, Object> map) {
        return rmsFeign.insertPortYard(map);
    }

    @PostMapping(value = "/deletePort/{portId}")//BigDecimal
    public Map<String, Object> deletePort(@PathVariable("portId") BigDecimal portId) {
        return rmsFeign.deletePort(portId);
    }

    @PostMapping(value = "/deletePier/{pierId}")//BigDecimal
    public Map<String, Object> deletePier(@PathVariable("pierId") BigDecimal pierId) {
        return rmsFeign.deletePier(pierId);
    }

    @PostMapping(value = "/deletePortYard/{warehouseId}")//BigDecimal
    public Map<String, Object> deletePortYard(@PathVariable("warehouseId") BigDecimal warehouseId) {
        return rmsFeign.deletePortYard(warehouseId);
    }

    //上传图片
    @PostMapping(value = "/upload")
    public Map<String,Object> upLoadPhoto(@RequestParam("file") MultipartFile file){
        return rmsFeign.upLoadPhoto(file);
    }
    //根据运力id查询承运商
    @PostMapping(value = "getCarrierNameById/{id}")
    public Map<String,Object> getCarrierNameById(@PathVariable("id") BigDecimal id){
        return rmsFeign.getCarrierNameById(id);
    }
   //根据司机id查询承运商
   @PostMapping(value = "getCarrierNameByDriverId/{id}")
   public Map<String,Object> getCarrierNameByDriverId(@PathVariable("id") BigDecimal id){
       return rmsFeign.getCarrierNameByDriverId(id);
   }

}
